Loading...
Searching...
No Matches
log.h File Reference
`#include <stdarg.h>`
`#include "attributes.h"`
`#include "version.h"`

Go to the source code of this file.

## Data Structures

struct | AVClass
| Describe the class of an AVClass context structure. More...

## Macros

#define | AV_IS_INPUT_DEVICE(category)
#define | AV_IS_OUTPUT_DEVICE(category)
#define | AV_LOG_QUIET -8
| Print no output.
#define | AV_LOG_PANIC 0
| Something went really wrong and we will crash now.
#define | AV_LOG_FATAL 8
| Something went wrong and recovery is not possible.
#define | AV_LOG_ERROR 16
| Something went wrong and cannot losslessly be recovered.
#define | AV_LOG_WARNING 24
| Something somehow does not look correct.
#define | AV_LOG_INFO 32
| Standard information.
#define | AV_LOG_VERBOSE 40
| Detailed information.
#define | AV_LOG_DEBUG 48
| Stuff which is only useful for libav* developers.
#define | AV_LOG_TRACE 56
| Extremely verbose debugging, useful for libav* development.
#define | AV_LOG_MAX_OFFSET (AV_LOG_TRACE - AV_LOG_QUIET)
#define | AV_LOG_C(x)
| Sets additional colors for extended debugging sessions.
#define | AV_LOG_SKIP_REPEATED 1
| Skip repeated messages, this requires the user app to use av_log() instead of (f)printf as the 2 would otherwise interfere and lead to "Last message repeated x times" messages below (f)printf messages with some bad luck.
#define | AV_LOG_PRINT_LEVEL 2
| Include the log severity in messages originating from codecs.
#define | AV_LOG_PRINT_TIME 4
| Include system time in log output.
#define | AV_LOG_PRINT_DATETIME 8
| Include system date and time in log output.

## Enumerations

enum

AVClassCategory {
AV_CLASS_CATEGORY_NA = 0 , AV_CLASS_CATEGORY_INPUT , AV_CLASS_CATEGORY_OUTPUT , AV_CLASS_CATEGORY_MUXER ,
AV_CLASS_CATEGORY_DEMUXER , AV_CLASS_CATEGORY_ENCODER , AV_CLASS_CATEGORY_DECODER , AV_CLASS_CATEGORY_FILTER ,
AV_CLASS_CATEGORY_BITSTREAM_FILTER , AV_CLASS_CATEGORY_SWSCALER , AV_CLASS_CATEGORY_SWRESAMPLER , AV_CLASS_CATEGORY_HWDEVICE ,
AV_CLASS_CATEGORY_DEVICE_VIDEO_OUTPUT = 40 , AV_CLASS_CATEGORY_DEVICE_VIDEO_INPUT , AV_CLASS_CATEGORY_DEVICE_AUDIO_OUTPUT , AV_CLASS_CATEGORY_DEVICE_AUDIO_INPUT ,
AV_CLASS_CATEGORY_DEVICE_OUTPUT , AV_CLASS_CATEGORY_DEVICE_INPUT , AV_CLASS_CATEGORY_NB
}

enum | AVClassStateFlags { AV_CLASS_STATE_INITIALIZED = (1 << 0) }

## Functions

void | av_log (void *avcl, int level, const char *fmt,...) av_printf_format(3
| Send the specified message to the log if the level is less than or equal to the current av_log_level.
void void | av_log_once (void *avcl, int initial_level, int subsequent_level, int *state, const char *fmt,...) av_printf_format(5
| Send the specified message to the log once with the initial_level and then with the subsequent_level.
void void void | av_vlog (void *avcl, int level, const char *fmt, va_list vl)
| Send the specified message to the log if the level is less than or equal to the current av_log_level.
int | av_log_get_level (void)
| Get the current log level.
void | av_log_set_level (int level)
| Set the log level.
void | av_log_set_callback (void(*callback)(void *, int, const char *, va_list))
| Set the logging callback.
void | av_log_default_callback (void *avcl, int level, const char *fmt, va_list vl)
| Default logging callback.
const char * | av_default_item_name (void *ctx)
| Return the context name.
AVClassCategory | av_default_get_category (void *ptr)
void | av_log_format_line (void *ptr, int level, const char *fmt, va_list vl, char *line, int line_size, int *print_prefix)
| Format a line of log the same way as the default callback.
int | av_log_format_line2 (void *ptr, int level, const char *fmt, va_list vl, char *line, int line_size, int *print_prefix)
| Format a line of log the same way as the default callback.
void | av_log_set_flags (int arg)
int | av_log_get_flags (void)

## Macro Definition Documentation

## AV_IS_INPUT_DEVICE

#define AV_IS_INPUT_DEVICE | ( |  | category | ) |

Value:
(((category) == AV_CLASS_CATEGORY_DEVICE_VIDEO_INPUT) || \
((category) == AV_CLASS_CATEGORY_DEVICE_AUDIO_INPUT) || \
((category) == AV_CLASS_CATEGORY_DEVICE_INPUT))
AV_CLASS_CATEGORY_DEVICE_VIDEO_INPUT
@ AV_CLASS_CATEGORY_DEVICE_VIDEO_INPUT
Definition log.h:42
AV_CLASS_CATEGORY_DEVICE_AUDIO_INPUT
@ AV_CLASS_CATEGORY_DEVICE_AUDIO_INPUT
Definition log.h:44
AV_CLASS_CATEGORY_DEVICE_INPUT
@ AV_CLASS_CATEGORY_DEVICE_INPUT
Definition log.h:46

Definition at line 59 of file log.h.

## AV_IS_OUTPUT_DEVICE

#define AV_IS_OUTPUT_DEVICE | ( |  | category | ) |

Value:
(((category) == AV_CLASS_CATEGORY_DEVICE_VIDEO_OUTPUT) || \
((category) == AV_CLASS_CATEGORY_DEVICE_AUDIO_OUTPUT) || \
((category) == AV_CLASS_CATEGORY_DEVICE_OUTPUT))
AV_CLASS_CATEGORY_DEVICE_OUTPUT
@ AV_CLASS_CATEGORY_DEVICE_OUTPUT
Definition log.h:45
AV_CLASS_CATEGORY_DEVICE_AUDIO_OUTPUT
@ AV_CLASS_CATEGORY_DEVICE_AUDIO_OUTPUT
Definition log.h:43
AV_CLASS_CATEGORY_DEVICE_VIDEO_OUTPUT
@ AV_CLASS_CATEGORY_DEVICE_VIDEO_OUTPUT
Definition log.h:41

Definition at line 64 of file log.h.

## Enumeration Type Documentation

## AVClassCategory

enum AVClassCategory

Enumerator
AV_CLASS_CATEGORY_NA |
AV_CLASS_CATEGORY_INPUT |
AV_CLASS_CATEGORY_OUTPUT |
AV_CLASS_CATEGORY_MUXER |
AV_CLASS_CATEGORY_DEMUXER |
AV_CLASS_CATEGORY_ENCODER |
AV_CLASS_CATEGORY_DECODER |
AV_CLASS_CATEGORY_FILTER |
AV_CLASS_CATEGORY_BITSTREAM_FILTER |
AV_CLASS_CATEGORY_SWSCALER |
AV_CLASS_CATEGORY_SWRESAMPLER |
AV_CLASS_CATEGORY_HWDEVICE |
AV_CLASS_CATEGORY_DEVICE_VIDEO_OUTPUT |
AV_CLASS_CATEGORY_DEVICE_VIDEO_INPUT |
AV_CLASS_CATEGORY_DEVICE_AUDIO_OUTPUT |
AV_CLASS_CATEGORY_DEVICE_AUDIO_INPUT |
AV_CLASS_CATEGORY_DEVICE_OUTPUT |
AV_CLASS_CATEGORY_DEVICE_INPUT |
AV_CLASS_CATEGORY_NB | not part of ABI/API

Definition at line 28 of file log.h.

## AVClassStateFlags

enum AVClassStateFlags

Enumerator
AV_CLASS_STATE_INITIALIZED | Object initialization has finished and it is now in the 'runtime' stage. This affects e.g. what options can be set on the object (only AV_OPT_FLAG_RUNTIME_PARAM options can be set on initialized objects).

Definition at line 50 of file log.h.